package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

/**
 * 虚拟以太网适配器(网桥)
 *
 * @author sxp
 * @since Jun 29, 2018
 */
public class ProfileTrunkAdapter {
    private Metadata metadata;
    /**
     * 以太网适配器ID
     */
    private String virtualSlotNumber;
    /**
     * 要激活虚拟服务器，此适配器是否为必需的
     */
    private String isRequired;
    /**
     * 允许适配器的其他虚拟 LAN 标识
     */
    private String isTaggedVlanSupported;
    /**
     * 端口虚拟以太网VLAN标识
     */
    private String portVlanID;
    /**
     * isTaggedVlanSupported为true时，这个字段有值
     * <p>
     * 每个VLANID之间以一个空格分隔
     * </p>
     */
    private String TaggedVlanIds;
    private String isQualityOfServicePriorityEnabled;
    /**
     * 虚拟交换机名称
     */
    private String virtualSwitchName;
    private String virtualSwitchID;
    /**
     * 优先级
     */
    private String trunkPriority;

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getVirtualSlotNumber() {
        return virtualSlotNumber;
    }

    public void setVirtualSlotNumber(String virtualSlotNumber) {
        this.virtualSlotNumber = virtualSlotNumber;
    }

    public String getIsRequired() {
        return isRequired;
    }

    public void setIsRequired(String isRequired) {
        this.isRequired = isRequired;
    }

    public String getIsTaggedVlanSupported() {
        return isTaggedVlanSupported;
    }

    public void setIsTaggedVlanSupported(String isTaggedVlanSupported) {
        this.isTaggedVlanSupported = isTaggedVlanSupported;
    }

    public String getPortVlanID() {
        return portVlanID;
    }

    public void setPortVlanID(String portVlanID) {
        this.portVlanID = portVlanID;
    }

    public String getTaggedVlanIds() {
        return TaggedVlanIds;
    }

    public void setTaggedVlanIds(String taggedVlanIds) {
        TaggedVlanIds = taggedVlanIds;
    }

    public String getIsQualityOfServicePriorityEnabled() {
        return isQualityOfServicePriorityEnabled;
    }

    public void setIsQualityOfServicePriorityEnabled(String isQualityOfServicePriorityEnabled) {
        this.isQualityOfServicePriorityEnabled = isQualityOfServicePriorityEnabled;
    }

    public String getVirtualSwitchName() {
        return virtualSwitchName;
    }

    public void setVirtualSwitchName(String virtualSwitchName) {
        this.virtualSwitchName = virtualSwitchName;
    }

    public String getVirtualSwitchID() {
        return virtualSwitchID;
    }

    public void setVirtualSwitchID(String virtualSwitchID) {
        this.virtualSwitchID = virtualSwitchID;
    }

    public String getTrunkPriority() {
        return trunkPriority;
    }

    public void setTrunkPriority(String trunkPriority) {
        this.trunkPriority = trunkPriority;
    }
}
